curl --request GET \
--url https://rest.forestreet.com/v2/markets/{marketId}/explorer/companies/filters \
--header 'x-api-key: <api-key>'import requests
url = "https://rest.forestreet.com/v2/markets/{marketId}/explorer/companies/filters"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.forestreet.com/v2/markets/{marketId}/explorer/companies/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"yearFounded": {
"filtered": [
{
"label": "<string>",
"count": 123
}
],
"unfiltered": [
{
"label": "<string>",
"count": 123
}
]
},
"yearFoundedMin": {
"filtered": {
"label": "<string>",
"count": 123
},
"unfiltered": {
"label": "<string>",
"count": 123
}
},
"yearFoundedMax": {
"filtered": {
"label": "<string>",
"count": 123
},
"unfiltered": {
"label": "<string>",
"count": 123
}
},
"companySize": {
"filtered": [
{
"label": "<string>",
"count": 123
}
],
"unfiltered": [
{
"label": "<string>",
"count": 123
}
]
},
"companyRevenue": {
"filtered": [
{
"label": "<string>",
"count": 123
}
],
"unfiltered": [
{
"label": "<string>",
"count": 123
}
]
},
"hqCountry": {
"filtered": [
{
"label": "<string>",
"count": 123
}
],
"unfiltered": [
{
"label": "<string>",
"count": 123
}
]
},
"hqState": {
"filtered": [
{
"label": "<string>",
"count": 123
}
],
"unfiltered": [
{
"label": "<string>",
"count": 123
}
]
},
"hqCity": {
"filtered": [
{
"label": "<string>",
"count": 123
}
],
"unfiltered": [
{
"label": "<string>",
"count": 123
}
]
},
"categories": {
"filtered": [
{
"label": "<string>",
"count": 123
}
],
"unfiltered": [
{
"label": "<string>",
"count": 123
}
]
},
"userTags": {
"filtered": [
{
"label": "<string>",
"count": 123
}
],
"unfiltered": [
{
"label": "<string>",
"count": 123
}
]
},
"momentumScore": {
"filtered": [
{
"label": "<string>",
"count": 123
}
],
"unfiltered": [
{
"label": "<string>",
"count": 123
}
]
},
"momentumScoreMin": {
"filtered": {
"label": "<string>",
"count": 123
},
"unfiltered": {
"label": "<string>",
"count": 123
}
},
"momentumScoreMax": {
"filtered": {
"label": "<string>",
"count": 123
},
"unfiltered": {
"label": "<string>",
"count": 123
}
},
"isLocationVerified": {
"filtered": {
"label": "<string>",
"count": 123
},
"unfiltered": {
"label": "<string>",
"count": 123
}
}
}{
"success": false,
"errorCode": "INVALID_INPUT",
"message": "Bad Request"
}{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - You do not have access to this market"
}{
"success": false,
"errorCode": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Get market explorer filters
Fetches available filters for a specific market.
List Market Explorer Companies supports in its Query parameters a set of filters that can be applied to the list of companies. This endpoint provides the available options for those filters, which can be used to construct the query for listing companies. In particular, these filters are extracted across all companies in the market without pagination, allowing UI applications to show all available filters regardless of the pagination applied on the UI.
Authorizations
Pass a static API key for every request, provided by your customer support.
Path Parameters
ID of the market whose explorer companies will be retrieved.
x > 0Unique identifier for the team used to access the market, for determining access rights and blacklists. Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
x > 0Query Parameters
Unique identifier for the team used to access the market, for determining access rights and blacklists. Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
x > 0Search term to filter companies by name, or description.
Filter by feature architecture node IDs. Prefix with 'e:' to exclude (e.g., '1, 2, e:3').
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Filter companies by version date.
Response
Market explorer filters response schema
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes